%global gem_name foreman_gutterball

# rubygems-devel defines a lot of nice macros, including:
#   %{gem_dir}
#   %{gem_instdir}
#   %{gem_libdir}
#   %{gem_cache}
#   %{gem_spec}
# that we'll be using below

%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gem_name}-%{version}

Summary: Gutterball plugin for Foreman and Katello
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.0.1.9
Release: 1%{?dist}
Group: Development/Languages
License: GPLv3
URL: http://katello.org
Source0: %{gem_name}-%{version}.gem
BuildArch: noarch

%if "%{?scl}" == "ruby193"
Requires: %{?scl_prefix}ruby-wrapper
BuildRequires: %{?scl_prefix}ruby-wrapper
%endif

Requires: gutterball
Requires: %{?scl_prefix}rubygem-katello
Requires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: foreman-assets >= 1.7.0
%if 0%{?rhel} > 6
Requires: ruby(release) = 2.0.0
BuildRequires: ruby(release) = 2.0.0
%else
%if "%{?scl}" == "ruby193"
Requires: %{?scl_prefix}ruby(abi) = 1.9.1
BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
%else
Requires: ruby(abi) = 1.8
BuildRequires: ruby(abi) = 1.8
%endif
%endif

Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Gutterball plugin for Foreman and Katello.

%prep
%setup -q -c -T
%{__install} --directory .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} --force %{SOURCE0} --no-rdoc --no-ri
%{?scl:"}

%build

%install
# it's recommended to clean your buildroot first
%{__rm} --recursive --force %{buildroot}

%{__install} --directory %{buildroot}%{gem_dir}
%{__cp} --archive .%{gem_dir}/cache %{buildroot}%{gem_dir}/
%{__cp} --archive .%{gem_dir}/doc %{buildroot}%{gem_dir}/
%{__cp} --archive .%{gem_dir}/gems %{buildroot}%{gem_dir}/
%{__cp} --archive .%{gem_dir}/specifications %{buildroot}%{gem_dir}/

%{__install} --directory %{buildroot}%{foreman_bundlerd_dir}

%foreman_bundlerd_file

%clean
%{__rm} --recursive --force %{buildroot} .%{gem_dir}

%files
%defattr(644, root, foreman, -)
%{gem_instdir}/Rakefile
%{gem_instdir}/LICENSE
%{gem_instdir}/README.md
%{gem_instdir}/app/
%{gem_instdir}/lib/
%{gem_instdir}/config/
%{gem_instdir}/test/
%{gem_spec}
%{gem_cache}
%{foreman_bundlerd_plugin}

%changelog
* Tue Mar 03 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.9-1
- update version (jmontleo@redhat.com)
- do not create plugin dir (jmontleo@redhat.com)

* Tue Feb 24 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.8-1
- increment version for rebuild (jmontleo@redhat.com)

* Tue Feb 24 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.7-1
- update version for build (jmontleo@redhat.com)
- Ref #9492 - serve gutterball reports (komidore64@gmail.com)

* Tue Feb 10 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.6-1
- fixes #9154 - Adds capability to generate reports (cfouant@redhat.com)

* Tue Feb 03 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.5-1
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.1.0
  (jmontleo@redhat.com)
- Merge pull request #13 from cfouant/services (komidore64@gmail.com)
- fixes #9134 - Adds API functionality to populate content reports
  (cfouant@redhat.com)

* Tue Jan 27 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.4-1
- fix scl macros (jmontleo@redhat.com)

* Tue Jan 27 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.3-1
- new package built with tito

* Tue Jan 27 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.2-1
- new package built with tito

* Wed Dec 03 2014 Adam Price <komidore64@gmail.com> - 0.0.1-1
- Initial package
